crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Crypto.Hash.Algorithms

Contents

- Hash algorithms

Description

Definitions of known hash algorithms

Synopsis

- class HashAlgorithm a
- class HashAlgorithm a => HashAlgorithmPrefix a
- data Blake2s_160 = Blake2s_160
- data Blake2s_224 = Blake2s_224
- data Blake2s_256 = Blake2s_256
- data Blake2sp_224 = Blake2sp_224
- data Blake2sp_256 = Blake2sp_256
- data Blake2b_160 = Blake2b_160
- data Blake2b_224 = Blake2b_224
- data Blake2b_256 = Blake2b_256
- data Blake2b_384 = Blake2b_384
- data Blake2b_512 = Blake2b_512
- data Blake2bp_512 = Blake2bp_512
- data MD2 = MD2
- data MD4 = MD4
- data MD5 = MD5
- data SHA1 = SHA1
- data SHA224 = SHA224
- data SHA256 = SHA256
- data SHA384 = SHA384
- data SHA512 = SHA512
- data SHA512t_224 = SHA512t_224
- data SHA512t_256 = SHA512t_256
- data RIPEMD160 = RIPEMD160
- data Tiger = Tiger
- data Keccak_224 = Keccak_224
- data Keccak_256 = Keccak_256
- data Keccak_384 = Keccak_384
- data Keccak_512 = Keccak_512
- data SHA3_224 = SHA3_224
- data SHA3_256 = SHA3_256
- data SHA3_384 = SHA3_384
- data SHA3_512 = SHA3_512
- data SHAKE128 (bitlen :: Nat) = SHAKE128
- data SHAKE256 (bitlen :: Nat) = SHAKE256
- data Blake2b (bitlen :: Nat) = Blake2b
- data Blake2bp (bitlen :: Nat) = Blake2bp
- data Blake2s (bitlen :: Nat) = Blake2s
- data Blake2sp (bitlen :: Nat) = Blake2sp
- data Skein256_224 = Skein256_224
- data Skein256_256 = Skein256_256
- data Skein512_224 = Skein512_224
- data Skein512_256 = Skein512_256
- data Skein512_384 = Skein512_384
- data Skein512_512 = Skein512_512
- data Whirlpool = Whirlpool

# Documentation

class HashAlgorithm a #

Class representing hashing algorithms.

The interface presented here is update in place and lowlevel. the Hash module takes care of hidding the mutable interface properly.

Minimal complete definition

hashBlockSize, hashDigestSize, hashInternalContextSize, hashInternalInit, hashInternalUpdate, hashInternalFinalize

#### Instances

Instances details

HashAlgorithm Blake2b_160 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_160 = 128
type HashDigestSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_160 = 20
type HashInternalContextSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_160 = 248

Methods

hashBlockSize :: Blake2b_160 -> Int #

hashDigestSize :: Blake2b_160 -> Int #

hashInternalContextSize :: Blake2b_160 -> Int #

hashInternalInit :: Ptr (Context Blake2b_160) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_160) -> Ptr (Digest Blake2b_160) -> IO () #

HashAlgorithm Blake2b_224 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_224 = 128
type HashDigestSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_224 = 28
type HashInternalContextSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_224 = 248

Methods

hashBlockSize :: Blake2b_224 -> Int #

hashDigestSize :: Blake2b_224 -> Int #

hashInternalContextSize :: Blake2b_224 -> Int #

hashInternalInit :: Ptr (Context Blake2b_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_224) -> Ptr (Digest Blake2b_224) -> IO () #

HashAlgorithm Blake2b_256 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_256 = 128
type HashDigestSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_256 = 32
type HashInternalContextSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_256 = 248

Methods

hashBlockSize :: Blake2b_256 -> Int #

hashDigestSize :: Blake2b_256 -> Int #

hashInternalContextSize :: Blake2b_256 -> Int #

hashInternalInit :: Ptr (Context Blake2b_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_256) -> Ptr (Digest Blake2b_256) -> IO () #

HashAlgorithm Blake2b_384 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_384 = 128
type HashDigestSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_384 = 48
type HashInternalContextSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_384 = 248

Methods

hashBlockSize :: Blake2b_384 -> Int #

hashDigestSize :: Blake2b_384 -> Int #

hashInternalContextSize :: Blake2b_384 -> Int #

hashInternalInit :: Ptr (Context Blake2b_384) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_384) -> Ptr (Digest Blake2b_384) -> IO () #

HashAlgorithm Blake2b_512 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_512 = 128
type HashDigestSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_512 = 64
type HashInternalContextSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_512 = 248

Methods

hashBlockSize :: Blake2b_512 -> Int #

hashDigestSize :: Blake2b_512 -> Int #

hashInternalContextSize :: Blake2b_512 -> Int #

hashInternalInit :: Ptr (Context Blake2b_512) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_512) -> Ptr (Digest Blake2b_512) -> IO () #

HashAlgorithm Blake2bp_512 # |

Instance details

Defined in Crypto.Hash.Blake2bp

Associated Types

type HashBlockSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashBlockSize Blake2bp_512 = 128
type HashDigestSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashDigestSize Blake2bp_512 = 64
type HashInternalContextSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashInternalContextSize Blake2bp_512 = 1768

Methods

hashBlockSize :: Blake2bp_512 -> Int #

hashDigestSize :: Blake2bp_512 -> Int #

hashInternalContextSize :: Blake2bp_512 -> Int #

hashInternalInit :: Ptr (Context Blake2bp_512) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2bp_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2bp_512) -> Ptr (Digest Blake2bp_512) -> IO () #

HashAlgorithm Blake2s_160 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_160 = 64
type HashDigestSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_160 = 20
type HashInternalContextSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_160 = 136

Methods

hashBlockSize :: Blake2s_160 -> Int #

hashDigestSize :: Blake2s_160 -> Int #

hashInternalContextSize :: Blake2s_160 -> Int #

hashInternalInit :: Ptr (Context Blake2s_160) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_160) -> Ptr (Digest Blake2s_160) -> IO () #

HashAlgorithm Blake2s_224 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_224 = 64
type HashDigestSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_224 = 28
type HashInternalContextSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_224 = 136

Methods

hashBlockSize :: Blake2s_224 -> Int #

hashDigestSize :: Blake2s_224 -> Int #

hashInternalContextSize :: Blake2s_224 -> Int #

hashInternalInit :: Ptr (Context Blake2s_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_224) -> Ptr (Digest Blake2s_224) -> IO () #

HashAlgorithm Blake2s_256 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_256 = 64
type HashDigestSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_256 = 32
type HashInternalContextSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_256 = 136

Methods

hashBlockSize :: Blake2s_256 -> Int #

hashDigestSize :: Blake2s_256 -> Int #

hashInternalContextSize :: Blake2s_256 -> Int #

hashInternalInit :: Ptr (Context Blake2s_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_256) -> Ptr (Digest Blake2s_256) -> IO () #

HashAlgorithm Blake2sp_224 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_224 = 64
type HashDigestSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_224 = 28
type HashInternalContextSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_224 = 1752

Methods

hashBlockSize :: Blake2sp_224 -> Int #

hashDigestSize :: Blake2sp_224 -> Int #

hashInternalContextSize :: Blake2sp_224 -> Int #

hashInternalInit :: Ptr (Context Blake2sp_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2sp_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2sp_224) -> Ptr (Digest Blake2sp_224) -> IO () #

HashAlgorithm Blake2sp_256 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_256 = 64
type HashDigestSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_256 = 32
type HashInternalContextSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_256 = 1752

Methods

hashBlockSize :: Blake2sp_256 -> Int #

hashDigestSize :: Blake2sp_256 -> Int #

hashInternalContextSize :: Blake2sp_256 -> Int #

hashInternalInit :: Ptr (Context Blake2sp_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2sp_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2sp_256) -> Ptr (Digest Blake2sp_256) -> IO () #

HashAlgorithm Keccak_224 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_224 = 144
type HashDigestSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_224 = 28
type HashInternalContextSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_224 = 352

Methods

hashBlockSize :: Keccak_224 -> Int #

hashDigestSize :: Keccak_224 -> Int #

hashInternalContextSize :: Keccak_224 -> Int #

hashInternalInit :: Ptr (Context Keccak_224) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_224) -> Ptr (Digest Keccak_224) -> IO () #

HashAlgorithm Keccak_256 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_256 = 136
type HashDigestSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_256 = 32
type HashInternalContextSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_256 = 344

Methods

hashBlockSize :: Keccak_256 -> Int #

hashDigestSize :: Keccak_256 -> Int #

hashInternalContextSize :: Keccak_256 -> Int #

hashInternalInit :: Ptr (Context Keccak_256) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_256) -> Ptr (Digest Keccak_256) -> IO () #

HashAlgorithm Keccak_384 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_384 = 104
type HashDigestSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_384 = 48
type HashInternalContextSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_384 = 312

Methods

hashBlockSize :: Keccak_384 -> Int #

hashDigestSize :: Keccak_384 -> Int #

hashInternalContextSize :: Keccak_384 -> Int #

hashInternalInit :: Ptr (Context Keccak_384) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_384) -> Ptr (Digest Keccak_384) -> IO () #

HashAlgorithm Keccak_512 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_512 = 72
type HashDigestSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_512 = 64
type HashInternalContextSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_512 = 280

Methods

hashBlockSize :: Keccak_512 -> Int #

hashDigestSize :: Keccak_512 -> Int #

hashInternalContextSize :: Keccak_512 -> Int #

hashInternalInit :: Ptr (Context Keccak_512) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_512) -> Ptr (Digest Keccak_512) -> IO () #

HashAlgorithm MD2 # |

Instance details

Defined in Crypto.Hash.MD2

Associated Types

type HashBlockSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashBlockSize MD2 = 16
type HashDigestSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashDigestSize MD2 = 16
type HashInternalContextSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashInternalContextSize MD2 = 96

Methods

hashBlockSize :: MD2 -> Int #

hashDigestSize :: MD2 -> Int #

hashInternalContextSize :: MD2 -> Int #

hashInternalInit :: Ptr (Context MD2) -> IO () #

hashInternalUpdate :: Ptr (Context MD2) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD2) -> Ptr (Digest MD2) -> IO () #

HashAlgorithm MD4 # |

Instance details

Defined in Crypto.Hash.MD4

Associated Types

type HashBlockSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashBlockSize MD4 = 64
type HashDigestSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashDigestSize MD4 = 16
type HashInternalContextSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashInternalContextSize MD4 = 96

Methods

hashBlockSize :: MD4 -> Int #

hashDigestSize :: MD4 -> Int #

hashInternalContextSize :: MD4 -> Int #

hashInternalInit :: Ptr (Context MD4) -> IO () #

hashInternalUpdate :: Ptr (Context MD4) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD4) -> Ptr (Digest MD4) -> IO () #

HashAlgorithm MD5 # |

Instance details

Defined in Crypto.Hash.MD5

Associated Types

type HashBlockSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashBlockSize MD5 = 64
type HashDigestSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashDigestSize MD5 = 16
type HashInternalContextSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashInternalContextSize MD5 = 96

Methods

hashBlockSize :: MD5 -> Int #

hashDigestSize :: MD5 -> Int #

hashInternalContextSize :: MD5 -> Int #

hashInternalInit :: Ptr (Context MD5) -> IO () #

hashInternalUpdate :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD5) -> Ptr (Digest MD5) -> IO () #

HashAlgorithm RIPEMD160 # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Associated Types

type HashBlockSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashBlockSize RIPEMD160 = 64
type HashDigestSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashDigestSize RIPEMD160 = 20
type HashInternalContextSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashInternalContextSize RIPEMD160 = 128

Methods

hashBlockSize :: RIPEMD160 -> Int #

hashDigestSize :: RIPEMD160 -> Int #

hashInternalContextSize :: RIPEMD160 -> Int #

hashInternalInit :: Ptr (Context RIPEMD160) -> IO () #

hashInternalUpdate :: Ptr (Context RIPEMD160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context RIPEMD160) -> Ptr (Digest RIPEMD160) -> IO () #

HashAlgorithm SHA1 # |

Instance details

Defined in Crypto.Hash.SHA1

Associated Types

type HashBlockSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashBlockSize SHA1 = 64
type HashDigestSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashDigestSize SHA1 = 20
type HashInternalContextSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashInternalContextSize SHA1 = 96

Methods

hashBlockSize :: SHA1 -> Int #

hashDigestSize :: SHA1 -> Int #

hashInternalContextSize :: SHA1 -> Int #

hashInternalInit :: Ptr (Context SHA1) -> IO () #

hashInternalUpdate :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA1) -> Ptr (Digest SHA1) -> IO () #

HashAlgorithm SHA224 # |

Instance details

Defined in Crypto.Hash.SHA224

Associated Types

type HashBlockSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashBlockSize SHA224 = 64
type HashDigestSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashDigestSize SHA224 = 28
type HashInternalContextSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashInternalContextSize SHA224 = 192

Methods

hashBlockSize :: SHA224 -> Int #

hashDigestSize :: SHA224 -> Int #

hashInternalContextSize :: SHA224 -> Int #

hashInternalInit :: Ptr (Context SHA224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA224) -> Ptr (Digest SHA224) -> IO () #

HashAlgorithm SHA256 # |

Instance details

Defined in Crypto.Hash.SHA256

Associated Types

type HashBlockSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashBlockSize SHA256 = 64
type HashDigestSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashDigestSize SHA256 = 32
type HashInternalContextSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashInternalContextSize SHA256 = 192

Methods

hashBlockSize :: SHA256 -> Int #

hashDigestSize :: SHA256 -> Int #

hashInternalContextSize :: SHA256 -> Int #

hashInternalInit :: Ptr (Context SHA256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA256) -> Ptr (Digest SHA256) -> IO () #

HashAlgorithm SHA3_224 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_224 = 144
type HashDigestSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_224 = 28
type HashInternalContextSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_224 = 352

Methods

hashBlockSize :: SHA3_224 -> Int #

hashDigestSize :: SHA3_224 -> Int #

hashInternalContextSize :: SHA3_224 -> Int #

hashInternalInit :: Ptr (Context SHA3_224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_224) -> Ptr (Digest SHA3_224) -> IO () #

HashAlgorithm SHA3_256 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_256 = 136
type HashDigestSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_256 = 32
type HashInternalContextSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_256 = 344

Methods

hashBlockSize :: SHA3_256 -> Int #

hashDigestSize :: SHA3_256 -> Int #

hashInternalContextSize :: SHA3_256 -> Int #

hashInternalInit :: Ptr (Context SHA3_256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_256) -> Ptr (Digest SHA3_256) -> IO () #

HashAlgorithm SHA3_384 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_384 = 104
type HashDigestSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_384 = 48
type HashInternalContextSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_384 = 312

Methods

hashBlockSize :: SHA3_384 -> Int #

hashDigestSize :: SHA3_384 -> Int #

hashInternalContextSize :: SHA3_384 -> Int #

hashInternalInit :: Ptr (Context SHA3_384) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_384) -> Ptr (Digest SHA3_384) -> IO () #

HashAlgorithm SHA3_512 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_512 = 72
type HashDigestSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_512 = 64
type HashInternalContextSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_512 = 280

Methods

hashBlockSize :: SHA3_512 -> Int #

hashDigestSize :: SHA3_512 -> Int #

hashInternalContextSize :: SHA3_512 -> Int #

hashInternalInit :: Ptr (Context SHA3_512) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_512) -> Ptr (Digest SHA3_512) -> IO () #

HashAlgorithm SHA384 # |

Instance details

Defined in Crypto.Hash.SHA384

Associated Types

type HashBlockSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashBlockSize SHA384 = 128
type HashDigestSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashDigestSize SHA384 = 48
type HashInternalContextSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashInternalContextSize SHA384 = 256

Methods

hashBlockSize :: SHA384 -> Int #

hashDigestSize :: SHA384 -> Int #

hashInternalContextSize :: SHA384 -> Int #

hashInternalInit :: Ptr (Context SHA384) -> IO () #

hashInternalUpdate :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA384) -> Ptr (Digest SHA384) -> IO () #

HashAlgorithm SHA512 # |

Instance details

Defined in Crypto.Hash.SHA512

Associated Types

type HashBlockSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashBlockSize SHA512 = 128
type HashDigestSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashDigestSize SHA512 = 64
type HashInternalContextSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashInternalContextSize SHA512 = 256

Methods

hashBlockSize :: SHA512 -> Int #

hashDigestSize :: SHA512 -> Int #

hashInternalContextSize :: SHA512 -> Int #

hashInternalInit :: Ptr (Context SHA512) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512) -> Ptr (Digest SHA512) -> IO () #

HashAlgorithm SHA512t_224 # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_224 = 128
type HashDigestSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_224 = 28
type HashInternalContextSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_224 = 256

Methods

hashBlockSize :: SHA512t_224 -> Int #

hashDigestSize :: SHA512t_224 -> Int #

hashInternalContextSize :: SHA512t_224 -> Int #

hashInternalInit :: Ptr (Context SHA512t_224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512t_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512t_224) -> Ptr (Digest SHA512t_224) -> IO () #

HashAlgorithm SHA512t_256 # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_256 = 128
type HashDigestSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_256 = 32
type HashInternalContextSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_256 = 256

Methods

hashBlockSize :: SHA512t_256 -> Int #

hashDigestSize :: SHA512t_256 -> Int #

hashInternalContextSize :: SHA512t_256 -> Int #

hashInternalInit :: Ptr (Context SHA512t_256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512t_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512t_256) -> Ptr (Digest SHA512t_256) -> IO () #

HashAlgorithm Skein256_224 # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_224 = 32
type HashDigestSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_224 = 28
type HashInternalContextSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_224 = 96

Methods

hashBlockSize :: Skein256_224 -> Int #

hashDigestSize :: Skein256_224 -> Int #

hashInternalContextSize :: Skein256_224 -> Int #

hashInternalInit :: Ptr (Context Skein256_224) -> IO () #

hashInternalUpdate :: Ptr (Context Skein256_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein256_224) -> Ptr (Digest Skein256_224) -> IO () #

HashAlgorithm Skein256_256 # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_256 = 32
type HashDigestSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_256 = 32
type HashInternalContextSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_256 = 96

Methods

hashBlockSize :: Skein256_256 -> Int #

hashDigestSize :: Skein256_256 -> Int #

hashInternalContextSize :: Skein256_256 -> Int #

hashInternalInit :: Ptr (Context Skein256_256) -> IO () #

hashInternalUpdate :: Ptr (Context Skein256_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein256_256) -> Ptr (Digest Skein256_256) -> IO () #

HashAlgorithm Skein512_224 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_224 = 64
type HashDigestSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_224 = 28
type HashInternalContextSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_224 = 160

Methods

hashBlockSize :: Skein512_224 -> Int #

hashDigestSize :: Skein512_224 -> Int #

hashInternalContextSize :: Skein512_224 -> Int #

hashInternalInit :: Ptr (Context Skein512_224) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_224) -> Ptr (Digest Skein512_224) -> IO () #

HashAlgorithm Skein512_256 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_256 = 64
type HashDigestSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_256 = 32
type HashInternalContextSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_256 = 160

Methods

hashBlockSize :: Skein512_256 -> Int #

hashDigestSize :: Skein512_256 -> Int #

hashInternalContextSize :: Skein512_256 -> Int #

hashInternalInit :: Ptr (Context Skein512_256) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_256) -> Ptr (Digest Skein512_256) -> IO () #

HashAlgorithm Skein512_384 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_384 = 64
type HashDigestSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_384 = 48
type HashInternalContextSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_384 = 160

Methods

hashBlockSize :: Skein512_384 -> Int #

hashDigestSize :: Skein512_384 -> Int #

hashInternalContextSize :: Skein512_384 -> Int #

hashInternalInit :: Ptr (Context Skein512_384) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_384) -> Ptr (Digest Skein512_384) -> IO () #

HashAlgorithm Skein512_512 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_512 = 64
type HashDigestSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_512 = 64
type HashInternalContextSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_512 = 160

Methods

hashBlockSize :: Skein512_512 -> Int #

hashDigestSize :: Skein512_512 -> Int #

hashInternalContextSize :: Skein512_512 -> Int #

hashInternalInit :: Ptr (Context Skein512_512) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_512) -> Ptr (Digest Skein512_512) -> IO () #

HashAlgorithm Tiger # |

Instance details

Defined in Crypto.Hash.Tiger

Associated Types

type HashBlockSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashBlockSize Tiger = 64
type HashDigestSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashDigestSize Tiger = 24
type HashInternalContextSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashInternalContextSize Tiger = 96

Methods

hashBlockSize :: Tiger -> Int #

hashDigestSize :: Tiger -> Int #

hashInternalContextSize :: Tiger -> Int #

hashInternalInit :: Ptr (Context Tiger) -> IO () #

hashInternalUpdate :: Ptr (Context Tiger) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Tiger) -> Ptr (Digest Tiger) -> IO () #

HashAlgorithm Whirlpool # |

Instance details

Defined in Crypto.Hash.Whirlpool

Associated Types

type HashBlockSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashBlockSize Whirlpool = 64
type HashDigestSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashDigestSize Whirlpool = 64
type HashInternalContextSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashInternalContextSize Whirlpool = 168

Methods

hashBlockSize :: Whirlpool -> Int #

hashDigestSize :: Whirlpool -> Int #

hashInternalContextSize :: Whirlpool -> Int #

hashInternalInit :: Ptr (Context Whirlpool) -> IO () #

hashInternalUpdate :: Ptr (Context Whirlpool) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Whirlpool) -> Ptr (Digest Whirlpool) -> IO () #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2b bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2b bitlen) = 128
type HashDigestSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2b bitlen)
type HashInternalContextSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2b bitlen) = 248

Methods

hashBlockSize :: Blake2b bitlen -> Int #

hashDigestSize :: Blake2b bitlen -> Int #

hashInternalContextSize :: Blake2b bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2b bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2b bitlen)) -> Ptr (Digest (Blake2b bitlen)) -> IO () #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2bp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2bp bitlen) = 128
type HashDigestSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2bp bitlen)
type HashInternalContextSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2bp bitlen) = 2325

Methods

hashBlockSize :: Blake2bp bitlen -> Int #

hashDigestSize :: Blake2bp bitlen -> Int #

hashInternalContextSize :: Blake2bp bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2bp bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2bp bitlen)) -> Ptr (Digest (Blake2bp bitlen)) -> IO () #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2s bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2s bitlen) = 64
type HashDigestSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2s bitlen)
type HashInternalContextSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2s bitlen) = 136

Methods

hashBlockSize :: Blake2s bitlen -> Int #

hashDigestSize :: Blake2s bitlen -> Int #

hashInternalContextSize :: Blake2s bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2s bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2s bitlen)) -> Ptr (Digest (Blake2s bitlen)) -> IO () #

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2sp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2sp bitlen) = 64
type HashDigestSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2sp bitlen)
type HashInternalContextSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2sp bitlen) = 2185

Methods

hashBlockSize :: Blake2sp bitlen -> Int #

hashDigestSize :: Blake2sp bitlen -> Int #

hashInternalContextSize :: Blake2sp bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2sp bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2sp bitlen)) -> Ptr (Digest (Blake2sp bitlen)) -> IO () #

KnownNat bitlen => HashAlgorithm (SHAKE128 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE128 bitlen) = 168
type HashDigestSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE128 bitlen)
type HashInternalContextSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE128 bitlen) = 376

Methods

hashBlockSize :: SHAKE128 bitlen -> Int #

hashDigestSize :: SHAKE128 bitlen -> Int #

hashInternalContextSize :: SHAKE128 bitlen -> Int #

hashInternalInit :: Ptr (Context (SHAKE128 bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (SHAKE128 bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () #

KnownNat bitlen => HashAlgorithm (SHAKE256 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE256 bitlen) = 136
type HashDigestSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE256 bitlen)
type HashInternalContextSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE256 bitlen) = 344

Methods

hashBlockSize :: SHAKE256 bitlen -> Int #

hashDigestSize :: SHAKE256 bitlen -> Int #

hashInternalContextSize :: SHAKE256 bitlen -> Int #

hashInternalInit :: Ptr (Context (SHAKE256 bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (SHAKE256 bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () #

class HashAlgorithm a => HashAlgorithmPrefix a #

Hashing algorithms with a constant-time implementation.

Minimal complete definition

hashInternalFinalizePrefix

#### Instances

Instances details

HashAlgorithmPrefix MD5 # |
Instance details Defined in Crypto.Hash.MD5 Methods hashInternalFinalizePrefix :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest MD5) -> IO ()
HashAlgorithmPrefix SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 Methods hashInternalFinalizePrefix :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA1) -> IO ()
HashAlgorithmPrefix SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 Methods hashInternalFinalizePrefix :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA224) -> IO ()
HashAlgorithmPrefix SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 Methods hashInternalFinalizePrefix :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA256) -> IO ()
HashAlgorithmPrefix SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 Methods hashInternalFinalizePrefix :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA384) -> IO ()
HashAlgorithmPrefix SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 Methods hashInternalFinalizePrefix :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA512) -> IO ()

# Hash algorithms

data Blake2s_160 #

Blake2s (160 bits) cryptographic hash algorithm

Constructors

Blake2s_160 |

#### Instances

Instances details

HashAlgorithm Blake2s_160 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_160 = 64
type HashDigestSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_160 = 20
type HashInternalContextSize Blake2s_160 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_160 = 136

Methods

hashBlockSize :: Blake2s_160 -> Int #

hashDigestSize :: Blake2s_160 -> Int #

hashInternalContextSize :: Blake2s_160 -> Int #

hashInternalInit :: Ptr (Context Blake2s_160) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_160) -> Ptr (Digest Blake2s_160) -> IO () #

Data Blake2s_160 # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_160 -> c Blake2s_160 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_160 #

toConstr :: Blake2s_160 -> Constr #

dataTypeOf :: Blake2s_160 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_160) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_160) #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_160 -> Blake2s_160 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_160 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_160 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_160 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_160 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_160 -> m Blake2s_160 #

Show Blake2s_160 # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_160 -> ShowS # show :: Blake2s_160 -> String # showList :: [Blake2s_160] -> ShowS #
type HashBlockSize Blake2s_160 # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_160 = 64
type HashDigestSize Blake2s_160 # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_160 = 20
type HashInternalContextSize Blake2s_160 # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_160 = 136

data Blake2s_224 #

Blake2s (224 bits) cryptographic hash algorithm

Constructors

Blake2s_224 |

#### Instances

Instances details

HashAlgorithm Blake2s_224 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_224 = 64
type HashDigestSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_224 = 28
type HashInternalContextSize Blake2s_224 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_224 = 136

Methods

hashBlockSize :: Blake2s_224 -> Int #

hashDigestSize :: Blake2s_224 -> Int #

hashInternalContextSize :: Blake2s_224 -> Int #

hashInternalInit :: Ptr (Context Blake2s_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_224) -> Ptr (Digest Blake2s_224) -> IO () #

Data Blake2s_224 # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_224 -> c Blake2s_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_224 #

toConstr :: Blake2s_224 -> Constr #

dataTypeOf :: Blake2s_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_224) #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_224 -> Blake2s_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_224 -> m Blake2s_224 #

Show Blake2s_224 # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_224 -> ShowS # show :: Blake2s_224 -> String # showList :: [Blake2s_224] -> ShowS #
type HashBlockSize Blake2s_224 # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_224 = 64
type HashDigestSize Blake2s_224 # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_224 = 28
type HashInternalContextSize Blake2s_224 # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_224 = 136

data Blake2s_256 #

Blake2s (256 bits) cryptographic hash algorithm

Constructors

Blake2s_256 |

#### Instances

Instances details

HashAlgorithm Blake2s_256 # |

Instance details

Defined in Crypto.Hash.Blake2s

Associated Types

type HashBlockSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_256 = 64
type HashDigestSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_256 = 32
type HashInternalContextSize Blake2s_256 |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_256 = 136

Methods

hashBlockSize :: Blake2s_256 -> Int #

hashDigestSize :: Blake2s_256 -> Int #

hashInternalContextSize :: Blake2s_256 -> Int #

hashInternalInit :: Ptr (Context Blake2s_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2s_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2s_256) -> Ptr (Digest Blake2s_256) -> IO () #

Data Blake2s_256 # |

Instance details

Defined in Crypto.Hash.Blake2s

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s_256 -> c Blake2s_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2s_256 #

toConstr :: Blake2s_256 -> Constr #

dataTypeOf :: Blake2s_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2s_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2s_256) #

gmapT :: (forall b. Data b => b -> b) -> Blake2s_256 -> Blake2s_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s_256 -> m Blake2s_256 #

Show Blake2s_256 # |
Instance details Defined in Crypto.Hash.Blake2s Methods showsPrec :: Int -> Blake2s_256 -> ShowS # show :: Blake2s_256 -> String # showList :: [Blake2s_256] -> ShowS #
type HashBlockSize Blake2s_256 # |
Instance details Defined in Crypto.Hash.Blake2s type HashBlockSize Blake2s_256 = 64
type HashDigestSize Blake2s_256 # |
Instance details Defined in Crypto.Hash.Blake2s type HashDigestSize Blake2s_256 = 32
type HashInternalContextSize Blake2s_256 # |
Instance details Defined in Crypto.Hash.Blake2s type HashInternalContextSize Blake2s_256 = 136

data Blake2sp_224 #

Blake2sp (224 bits) cryptographic hash algorithm

Constructors

Blake2sp_224 |

#### Instances

Instances details

HashAlgorithm Blake2sp_224 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_224 = 64
type HashDigestSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_224 = 28
type HashInternalContextSize Blake2sp_224 |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_224 = 1752

Methods

hashBlockSize :: Blake2sp_224 -> Int #

hashDigestSize :: Blake2sp_224 -> Int #

hashInternalContextSize :: Blake2sp_224 -> Int #

hashInternalInit :: Ptr (Context Blake2sp_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2sp_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2sp_224) -> Ptr (Digest Blake2sp_224) -> IO () #

Data Blake2sp_224 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp_224 -> c Blake2sp_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2sp_224 #

toConstr :: Blake2sp_224 -> Constr #

dataTypeOf :: Blake2sp_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2sp_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2sp_224) #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp_224 -> Blake2sp_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_224 -> m Blake2sp_224 #

Show Blake2sp_224 # |
Instance details Defined in Crypto.Hash.Blake2sp Methods showsPrec :: Int -> Blake2sp_224 -> ShowS # show :: Blake2sp_224 -> String # showList :: [Blake2sp_224] -> ShowS #
type HashBlockSize Blake2sp_224 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_224 = 64
type HashDigestSize Blake2sp_224 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_224 = 28
type HashInternalContextSize Blake2sp_224 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_224 = 1752

data Blake2sp_256 #

Blake2sp (256 bits) cryptographic hash algorithm

Constructors

Blake2sp_256 |

#### Instances

Instances details

HashAlgorithm Blake2sp_256 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Associated Types

type HashBlockSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_256 = 64
type HashDigestSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_256 = 32
type HashInternalContextSize Blake2sp_256 |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_256 = 1752

Methods

hashBlockSize :: Blake2sp_256 -> Int #

hashDigestSize :: Blake2sp_256 -> Int #

hashInternalContextSize :: Blake2sp_256 -> Int #

hashInternalInit :: Ptr (Context Blake2sp_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2sp_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2sp_256) -> Ptr (Digest Blake2sp_256) -> IO () #

Data Blake2sp_256 # |

Instance details

Defined in Crypto.Hash.Blake2sp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp_256 -> c Blake2sp_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2sp_256 #

toConstr :: Blake2sp_256 -> Constr #

dataTypeOf :: Blake2sp_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2sp_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2sp_256) #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp_256 -> Blake2sp_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp_256 -> m Blake2sp_256 #

Show Blake2sp_256 # |
Instance details Defined in Crypto.Hash.Blake2sp Methods showsPrec :: Int -> Blake2sp_256 -> ShowS # show :: Blake2sp_256 -> String # showList :: [Blake2sp_256] -> ShowS #
type HashBlockSize Blake2sp_256 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashBlockSize Blake2sp_256 = 64
type HashDigestSize Blake2sp_256 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashDigestSize Blake2sp_256 = 32
type HashInternalContextSize Blake2sp_256 # |
Instance details Defined in Crypto.Hash.Blake2sp type HashInternalContextSize Blake2sp_256 = 1752

data Blake2b_160 #

Blake2b (160 bits) cryptographic hash algorithm

Constructors

Blake2b_160 |

#### Instances

Instances details

HashAlgorithm Blake2b_160 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_160 = 128
type HashDigestSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_160 = 20
type HashInternalContextSize Blake2b_160 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_160 = 248

Methods

hashBlockSize :: Blake2b_160 -> Int #

hashDigestSize :: Blake2b_160 -> Int #

hashInternalContextSize :: Blake2b_160 -> Int #

hashInternalInit :: Ptr (Context Blake2b_160) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_160) -> Ptr (Digest Blake2b_160) -> IO () #

Data Blake2b_160 # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_160 -> c Blake2b_160 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_160 #

toConstr :: Blake2b_160 -> Constr #

dataTypeOf :: Blake2b_160 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_160) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_160) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_160 -> Blake2b_160 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_160 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_160 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_160 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_160 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_160 -> m Blake2b_160 #

Show Blake2b_160 # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_160 -> ShowS # show :: Blake2b_160 -> String # showList :: [Blake2b_160] -> ShowS #
type HashBlockSize Blake2b_160 # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_160 = 128
type HashDigestSize Blake2b_160 # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_160 = 20
type HashInternalContextSize Blake2b_160 # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_160 = 248

data Blake2b_224 #

Blake2b (224 bits) cryptographic hash algorithm

Constructors

Blake2b_224 |

#### Instances

Instances details

HashAlgorithm Blake2b_224 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_224 = 128
type HashDigestSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_224 = 28
type HashInternalContextSize Blake2b_224 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_224 = 248

Methods

hashBlockSize :: Blake2b_224 -> Int #

hashDigestSize :: Blake2b_224 -> Int #

hashInternalContextSize :: Blake2b_224 -> Int #

hashInternalInit :: Ptr (Context Blake2b_224) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_224) -> Ptr (Digest Blake2b_224) -> IO () #

Data Blake2b_224 # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_224 -> c Blake2b_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_224 #

toConstr :: Blake2b_224 -> Constr #

dataTypeOf :: Blake2b_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_224) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_224 -> Blake2b_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_224 -> m Blake2b_224 #

Show Blake2b_224 # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_224 -> ShowS # show :: Blake2b_224 -> String # showList :: [Blake2b_224] -> ShowS #
type HashBlockSize Blake2b_224 # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_224 = 128
type HashDigestSize Blake2b_224 # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_224 = 28
type HashInternalContextSize Blake2b_224 # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_224 = 248

data Blake2b_256 #

Blake2b (256 bits) cryptographic hash algorithm

Constructors

Blake2b_256 |

#### Instances

Instances details

HashAlgorithm Blake2b_256 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_256 = 128
type HashDigestSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_256 = 32
type HashInternalContextSize Blake2b_256 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_256 = 248

Methods

hashBlockSize :: Blake2b_256 -> Int #

hashDigestSize :: Blake2b_256 -> Int #

hashInternalContextSize :: Blake2b_256 -> Int #

hashInternalInit :: Ptr (Context Blake2b_256) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_256) -> Ptr (Digest Blake2b_256) -> IO () #

Data Blake2b_256 # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_256 -> c Blake2b_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_256 #

toConstr :: Blake2b_256 -> Constr #

dataTypeOf :: Blake2b_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_256) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_256 -> Blake2b_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_256 -> m Blake2b_256 #

Show Blake2b_256 # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_256 -> ShowS # show :: Blake2b_256 -> String # showList :: [Blake2b_256] -> ShowS #
type HashBlockSize Blake2b_256 # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_256 = 128
type HashDigestSize Blake2b_256 # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_256 = 32
type HashInternalContextSize Blake2b_256 # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_256 = 248

data Blake2b_384 #

Blake2b (384 bits) cryptographic hash algorithm

Constructors

Blake2b_384 |

#### Instances

Instances details

HashAlgorithm Blake2b_384 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_384 = 128
type HashDigestSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_384 = 48
type HashInternalContextSize Blake2b_384 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_384 = 248

Methods

hashBlockSize :: Blake2b_384 -> Int #

hashDigestSize :: Blake2b_384 -> Int #

hashInternalContextSize :: Blake2b_384 -> Int #

hashInternalInit :: Ptr (Context Blake2b_384) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_384) -> Ptr (Digest Blake2b_384) -> IO () #

Data Blake2b_384 # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_384 -> c Blake2b_384 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_384 #

toConstr :: Blake2b_384 -> Constr #

dataTypeOf :: Blake2b_384 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_384) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_384) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_384 -> Blake2b_384 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_384 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_384 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_384 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_384 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_384 -> m Blake2b_384 #

Show Blake2b_384 # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_384 -> ShowS # show :: Blake2b_384 -> String # showList :: [Blake2b_384] -> ShowS #
type HashBlockSize Blake2b_384 # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_384 = 128
type HashDigestSize Blake2b_384 # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_384 = 48
type HashInternalContextSize Blake2b_384 # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_384 = 248

data Blake2b_512 #

Blake2b (512 bits) cryptographic hash algorithm

Constructors

Blake2b_512 |

#### Instances

Instances details

HashAlgorithm Blake2b_512 # |

Instance details

Defined in Crypto.Hash.Blake2b

Associated Types

type HashBlockSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_512 = 128
type HashDigestSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_512 = 64
type HashInternalContextSize Blake2b_512 |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_512 = 248

Methods

hashBlockSize :: Blake2b_512 -> Int #

hashDigestSize :: Blake2b_512 -> Int #

hashInternalContextSize :: Blake2b_512 -> Int #

hashInternalInit :: Ptr (Context Blake2b_512) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2b_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2b_512) -> Ptr (Digest Blake2b_512) -> IO () #

Data Blake2b_512 # |

Instance details

Defined in Crypto.Hash.Blake2b

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b_512 -> c Blake2b_512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2b_512 #

toConstr :: Blake2b_512 -> Constr #

dataTypeOf :: Blake2b_512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2b_512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2b_512) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b_512 -> Blake2b_512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b_512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b_512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b_512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b_512 -> m Blake2b_512 #

Show Blake2b_512 # |
Instance details Defined in Crypto.Hash.Blake2b Methods showsPrec :: Int -> Blake2b_512 -> ShowS # show :: Blake2b_512 -> String # showList :: [Blake2b_512] -> ShowS #
type HashBlockSize Blake2b_512 # |
Instance details Defined in Crypto.Hash.Blake2b type HashBlockSize Blake2b_512 = 128
type HashDigestSize Blake2b_512 # |
Instance details Defined in Crypto.Hash.Blake2b type HashDigestSize Blake2b_512 = 64
type HashInternalContextSize Blake2b_512 # |
Instance details Defined in Crypto.Hash.Blake2b type HashInternalContextSize Blake2b_512 = 248

data Blake2bp_512 #

Blake2bp (512 bits) cryptographic hash algorithm

Constructors

Blake2bp_512 |

#### Instances

Instances details

HashAlgorithm Blake2bp_512 # |

Instance details

Defined in Crypto.Hash.Blake2bp

Associated Types

type HashBlockSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashBlockSize Blake2bp_512 = 128
type HashDigestSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashDigestSize Blake2bp_512 = 64
type HashInternalContextSize Blake2bp_512 |
Instance details Defined in Crypto.Hash.Blake2bp type HashInternalContextSize Blake2bp_512 = 1768

Methods

hashBlockSize :: Blake2bp_512 -> Int #

hashDigestSize :: Blake2bp_512 -> Int #

hashInternalContextSize :: Blake2bp_512 -> Int #

hashInternalInit :: Ptr (Context Blake2bp_512) -> IO () #

hashInternalUpdate :: Ptr (Context Blake2bp_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Blake2bp_512) -> Ptr (Digest Blake2bp_512) -> IO () #

Data Blake2bp_512 # |

Instance details

Defined in Crypto.Hash.Blake2bp

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2bp_512 -> c Blake2bp_512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Blake2bp_512 #

toConstr :: Blake2bp_512 -> Constr #

dataTypeOf :: Blake2bp_512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Blake2bp_512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Blake2bp_512) #

gmapT :: (forall b. Data b => b -> b) -> Blake2bp_512 -> Blake2bp_512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp_512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp_512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2bp_512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2bp_512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp_512 -> m Blake2bp_512 #

Show Blake2bp_512 # |
Instance details Defined in Crypto.Hash.Blake2bp Methods showsPrec :: Int -> Blake2bp_512 -> ShowS # show :: Blake2bp_512 -> String # showList :: [Blake2bp_512] -> ShowS #
type HashBlockSize Blake2bp_512 # |
Instance details Defined in Crypto.Hash.Blake2bp type HashBlockSize Blake2bp_512 = 128
type HashDigestSize Blake2bp_512 # |
Instance details Defined in Crypto.Hash.Blake2bp type HashDigestSize Blake2bp_512 = 64
type HashInternalContextSize Blake2bp_512 # |
Instance details Defined in Crypto.Hash.Blake2bp type HashInternalContextSize Blake2bp_512 = 1768

data MD2 #

MD2 cryptographic hash algorithm

Constructors

MD2 |

#### Instances

Instances details

HashAlgorithm MD2 # |

Instance details

Defined in Crypto.Hash.MD2

Associated Types

type HashBlockSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashBlockSize MD2 = 16
type HashDigestSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashDigestSize MD2 = 16
type HashInternalContextSize MD2 |
Instance details Defined in Crypto.Hash.MD2 type HashInternalContextSize MD2 = 96

Methods

hashBlockSize :: MD2 -> Int #

hashDigestSize :: MD2 -> Int #

hashInternalContextSize :: MD2 -> Int #

hashInternalInit :: Ptr (Context MD2) -> IO () #

hashInternalUpdate :: Ptr (Context MD2) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD2) -> Ptr (Digest MD2) -> IO () #

HashAlgorithmASN1 MD2 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest MD2 -> out
Data MD2 # |

Instance details

Defined in Crypto.Hash.MD2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD2 -> c MD2 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD2 #

toConstr :: MD2 -> Constr #

dataTypeOf :: MD2 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD2) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD2) #

gmapT :: (forall b. Data b => b -> b) -> MD2 -> MD2 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD2 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD2 -> r #

gmapQ :: (forall d. Data d => d -> u) -> MD2 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD2 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD2 -> m MD2 #

Show MD2 # |
Instance details Defined in Crypto.Hash.MD2 Methods showsPrec :: Int -> MD2 -> ShowS # show :: MD2 -> String # showList :: [MD2] -> ShowS #
type HashBlockSize MD2 # |
Instance details Defined in Crypto.Hash.MD2 type HashBlockSize MD2 = 16
type HashDigestSize MD2 # |
Instance details Defined in Crypto.Hash.MD2 type HashDigestSize MD2 = 16
type HashInternalContextSize MD2 # |
Instance details Defined in Crypto.Hash.MD2 type HashInternalContextSize MD2 = 96

data MD4 #

MD4 cryptographic hash algorithm

Constructors

MD4 |

#### Instances

Instances details

HashAlgorithm MD4 # |

Instance details

Defined in Crypto.Hash.MD4

Associated Types

type HashBlockSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashBlockSize MD4 = 64
type HashDigestSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashDigestSize MD4 = 16
type HashInternalContextSize MD4 |
Instance details Defined in Crypto.Hash.MD4 type HashInternalContextSize MD4 = 96

Methods

hashBlockSize :: MD4 -> Int #

hashDigestSize :: MD4 -> Int #

hashInternalContextSize :: MD4 -> Int #

hashInternalInit :: Ptr (Context MD4) -> IO () #

hashInternalUpdate :: Ptr (Context MD4) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD4) -> Ptr (Digest MD4) -> IO () #

Data MD4 # |

Instance details

Defined in Crypto.Hash.MD4

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD4 -> c MD4 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD4 #

toConstr :: MD4 -> Constr #

dataTypeOf :: MD4 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD4) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD4) #

gmapT :: (forall b. Data b => b -> b) -> MD4 -> MD4 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD4 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD4 -> r #

gmapQ :: (forall d. Data d => d -> u) -> MD4 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD4 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD4 -> m MD4 #

Show MD4 # |
Instance details Defined in Crypto.Hash.MD4 Methods showsPrec :: Int -> MD4 -> ShowS # show :: MD4 -> String # showList :: [MD4] -> ShowS #
type HashBlockSize MD4 # |
Instance details Defined in Crypto.Hash.MD4 type HashBlockSize MD4 = 64
type HashDigestSize MD4 # |
Instance details Defined in Crypto.Hash.MD4 type HashDigestSize MD4 = 16
type HashInternalContextSize MD4 # |
Instance details Defined in Crypto.Hash.MD4 type HashInternalContextSize MD4 = 96

data MD5 #

MD5 cryptographic hash algorithm

Constructors

MD5 |

#### Instances

Instances details

HashAlgorithm MD5 # |

Instance details

Defined in Crypto.Hash.MD5

Associated Types

type HashBlockSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashBlockSize MD5 = 64
type HashDigestSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashDigestSize MD5 = 16
type HashInternalContextSize MD5 |
Instance details Defined in Crypto.Hash.MD5 type HashInternalContextSize MD5 = 96

Methods

hashBlockSize :: MD5 -> Int #

hashDigestSize :: MD5 -> Int #

hashInternalContextSize :: MD5 -> Int #

hashInternalInit :: Ptr (Context MD5) -> IO () #

hashInternalUpdate :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context MD5) -> Ptr (Digest MD5) -> IO () #

HashAlgorithmPrefix MD5 # |
Instance details Defined in Crypto.Hash.MD5 Methods hashInternalFinalizePrefix :: Ptr (Context MD5) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest MD5) -> IO ()
HashAlgorithmASN1 MD5 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest MD5 -> out
Data MD5 # |

Instance details

Defined in Crypto.Hash.MD5

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> MD5 -> c MD5 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c MD5 #

toConstr :: MD5 -> Constr #

dataTypeOf :: MD5 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c MD5) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c MD5) #

gmapT :: (forall b. Data b => b -> b) -> MD5 -> MD5 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> MD5 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> MD5 -> r #

gmapQ :: (forall d. Data d => d -> u) -> MD5 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> MD5 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> MD5 -> m MD5 #

Show MD5 # |
Instance details Defined in Crypto.Hash.MD5 Methods showsPrec :: Int -> MD5 -> ShowS # show :: MD5 -> String # showList :: [MD5] -> ShowS #
type HashBlockSize MD5 # |
Instance details Defined in Crypto.Hash.MD5 type HashBlockSize MD5 = 64
type HashDigestSize MD5 # |
Instance details Defined in Crypto.Hash.MD5 type HashDigestSize MD5 = 16
type HashInternalContextSize MD5 # |
Instance details Defined in Crypto.Hash.MD5 type HashInternalContextSize MD5 = 96

data SHA1 #

SHA1 cryptographic hash algorithm

Constructors

SHA1 |

#### Instances

Instances details

HashAlgorithm SHA1 # |

Instance details

Defined in Crypto.Hash.SHA1

Associated Types

type HashBlockSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashBlockSize SHA1 = 64
type HashDigestSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashDigestSize SHA1 = 20
type HashInternalContextSize SHA1 |
Instance details Defined in Crypto.Hash.SHA1 type HashInternalContextSize SHA1 = 96

Methods

hashBlockSize :: SHA1 -> Int #

hashDigestSize :: SHA1 -> Int #

hashInternalContextSize :: SHA1 -> Int #

hashInternalInit :: Ptr (Context SHA1) -> IO () #

hashInternalUpdate :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA1) -> Ptr (Digest SHA1) -> IO () #

HashAlgorithmPrefix SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 Methods hashInternalFinalizePrefix :: Ptr (Context SHA1) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA1) -> IO ()
HashAlgorithmASN1 SHA1 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA1 -> out
Data SHA1 # |

Instance details

Defined in Crypto.Hash.SHA1

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA1 -> c SHA1 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA1 #

toConstr :: SHA1 -> Constr #

dataTypeOf :: SHA1 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA1) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA1) #

gmapT :: (forall b. Data b => b -> b) -> SHA1 -> SHA1 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA1 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA1 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA1 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA1 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA1 -> m SHA1 #

Show SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 Methods showsPrec :: Int -> SHA1 -> ShowS # show :: SHA1 -> String # showList :: [SHA1] -> ShowS #
type HashBlockSize SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 type HashBlockSize SHA1 = 64
type HashDigestSize SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 type HashDigestSize SHA1 = 20
type HashInternalContextSize SHA1 # |
Instance details Defined in Crypto.Hash.SHA1 type HashInternalContextSize SHA1 = 96

data SHA224 #

SHA224 cryptographic hash algorithm

Constructors

SHA224 |

#### Instances

Instances details

HashAlgorithm SHA224 # |

Instance details

Defined in Crypto.Hash.SHA224

Associated Types

type HashBlockSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashBlockSize SHA224 = 64
type HashDigestSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashDigestSize SHA224 = 28
type HashInternalContextSize SHA224 |
Instance details Defined in Crypto.Hash.SHA224 type HashInternalContextSize SHA224 = 192

Methods

hashBlockSize :: SHA224 -> Int #

hashDigestSize :: SHA224 -> Int #

hashInternalContextSize :: SHA224 -> Int #

hashInternalInit :: Ptr (Context SHA224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA224) -> Ptr (Digest SHA224) -> IO () #

HashAlgorithmPrefix SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 Methods hashInternalFinalizePrefix :: Ptr (Context SHA224) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA224) -> IO ()
HashAlgorithmASN1 SHA224 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA224 -> out
Data SHA224 # |

Instance details

Defined in Crypto.Hash.SHA224

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA224 -> c SHA224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA224 #

toConstr :: SHA224 -> Constr #

dataTypeOf :: SHA224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA224) #

gmapT :: (forall b. Data b => b -> b) -> SHA224 -> SHA224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA224 -> m SHA224 #

Show SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 Methods showsPrec :: Int -> SHA224 -> ShowS # show :: SHA224 -> String # showList :: [SHA224] -> ShowS #
type HashBlockSize SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 type HashBlockSize SHA224 = 64
type HashDigestSize SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 type HashDigestSize SHA224 = 28
type HashInternalContextSize SHA224 # |
Instance details Defined in Crypto.Hash.SHA224 type HashInternalContextSize SHA224 = 192

data SHA256 #

SHA256 cryptographic hash algorithm

Constructors

SHA256 |

#### Instances

Instances details

HashAlgorithm SHA256 # |

Instance details

Defined in Crypto.Hash.SHA256

Associated Types

type HashBlockSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashBlockSize SHA256 = 64
type HashDigestSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashDigestSize SHA256 = 32
type HashInternalContextSize SHA256 |
Instance details Defined in Crypto.Hash.SHA256 type HashInternalContextSize SHA256 = 192

Methods

hashBlockSize :: SHA256 -> Int #

hashDigestSize :: SHA256 -> Int #

hashInternalContextSize :: SHA256 -> Int #

hashInternalInit :: Ptr (Context SHA256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA256) -> Ptr (Digest SHA256) -> IO () #

HashAlgorithmPrefix SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 Methods hashInternalFinalizePrefix :: Ptr (Context SHA256) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA256) -> IO ()
HashAlgorithmASN1 SHA256 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA256 -> out
Data SHA256 # |

Instance details

Defined in Crypto.Hash.SHA256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA256 -> c SHA256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA256 #

toConstr :: SHA256 -> Constr #

dataTypeOf :: SHA256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA256) #

gmapT :: (forall b. Data b => b -> b) -> SHA256 -> SHA256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA256 -> m SHA256 #

Show SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 Methods showsPrec :: Int -> SHA256 -> ShowS # show :: SHA256 -> String # showList :: [SHA256] -> ShowS #
type HashBlockSize SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 type HashBlockSize SHA256 = 64
type HashDigestSize SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 type HashDigestSize SHA256 = 32
type HashInternalContextSize SHA256 # |
Instance details Defined in Crypto.Hash.SHA256 type HashInternalContextSize SHA256 = 192

data SHA384 #

SHA384 cryptographic hash algorithm

Constructors

SHA384 |

#### Instances

Instances details

HashAlgorithm SHA384 # |

Instance details

Defined in Crypto.Hash.SHA384

Associated Types

type HashBlockSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashBlockSize SHA384 = 128
type HashDigestSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashDigestSize SHA384 = 48
type HashInternalContextSize SHA384 |
Instance details Defined in Crypto.Hash.SHA384 type HashInternalContextSize SHA384 = 256

Methods

hashBlockSize :: SHA384 -> Int #

hashDigestSize :: SHA384 -> Int #

hashInternalContextSize :: SHA384 -> Int #

hashInternalInit :: Ptr (Context SHA384) -> IO () #

hashInternalUpdate :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA384) -> Ptr (Digest SHA384) -> IO () #

HashAlgorithmPrefix SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 Methods hashInternalFinalizePrefix :: Ptr (Context SHA384) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA384) -> IO ()
HashAlgorithmASN1 SHA384 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA384 -> out
Data SHA384 # |

Instance details

Defined in Crypto.Hash.SHA384

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA384 -> c SHA384 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA384 #

toConstr :: SHA384 -> Constr #

dataTypeOf :: SHA384 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA384) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA384) #

gmapT :: (forall b. Data b => b -> b) -> SHA384 -> SHA384 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA384 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA384 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA384 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA384 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA384 -> m SHA384 #

Show SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 Methods showsPrec :: Int -> SHA384 -> ShowS # show :: SHA384 -> String # showList :: [SHA384] -> ShowS #
type HashBlockSize SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 type HashBlockSize SHA384 = 128
type HashDigestSize SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 type HashDigestSize SHA384 = 48
type HashInternalContextSize SHA384 # |
Instance details Defined in Crypto.Hash.SHA384 type HashInternalContextSize SHA384 = 256

data SHA512 #

SHA512 cryptographic hash algorithm

Constructors

SHA512 |

#### Instances

Instances details

HashAlgorithm SHA512 # |

Instance details

Defined in Crypto.Hash.SHA512

Associated Types

type HashBlockSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashBlockSize SHA512 = 128
type HashDigestSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashDigestSize SHA512 = 64
type HashInternalContextSize SHA512 |
Instance details Defined in Crypto.Hash.SHA512 type HashInternalContextSize SHA512 = 256

Methods

hashBlockSize :: SHA512 -> Int #

hashDigestSize :: SHA512 -> Int #

hashInternalContextSize :: SHA512 -> Int #

hashInternalInit :: Ptr (Context SHA512) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512) -> Ptr (Digest SHA512) -> IO () #

HashAlgorithmPrefix SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 Methods hashInternalFinalizePrefix :: Ptr (Context SHA512) -> Ptr Word8 -> Word32 -> Word32 -> Ptr (Digest SHA512) -> IO ()
HashAlgorithmASN1 SHA512 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512 -> out
Data SHA512 # |

Instance details

Defined in Crypto.Hash.SHA512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512 -> c SHA512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512 #

toConstr :: SHA512 -> Constr #

dataTypeOf :: SHA512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512) #

gmapT :: (forall b. Data b => b -> b) -> SHA512 -> SHA512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512 -> m SHA512 #

Show SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 Methods showsPrec :: Int -> SHA512 -> ShowS # show :: SHA512 -> String # showList :: [SHA512] -> ShowS #
type HashBlockSize SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 type HashBlockSize SHA512 = 128
type HashDigestSize SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 type HashDigestSize SHA512 = 64
type HashInternalContextSize SHA512 # |
Instance details Defined in Crypto.Hash.SHA512 type HashInternalContextSize SHA512 = 256

data SHA512t_224 #

SHA512t (224 bits) cryptographic hash algorithm

Constructors

SHA512t_224 |

#### Instances

Instances details

HashAlgorithm SHA512t_224 # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_224 = 128
type HashDigestSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_224 = 28
type HashInternalContextSize SHA512t_224 |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_224 = 256

Methods

hashBlockSize :: SHA512t_224 -> Int #

hashDigestSize :: SHA512t_224 -> Int #

hashInternalContextSize :: SHA512t_224 -> Int #

hashInternalInit :: Ptr (Context SHA512t_224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512t_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512t_224) -> Ptr (Digest SHA512t_224) -> IO () #

HashAlgorithmASN1 SHA512t_224 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512t_224 -> out
Data SHA512t_224 # |

Instance details

Defined in Crypto.Hash.SHA512t

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512t_224 -> c SHA512t_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512t_224 #

toConstr :: SHA512t_224 -> Constr #

dataTypeOf :: SHA512t_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512t_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512t_224) #

gmapT :: (forall b. Data b => b -> b) -> SHA512t_224 -> SHA512t_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA512t_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512t_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_224 -> m SHA512t_224 #

Show SHA512t_224 # |
Instance details Defined in Crypto.Hash.SHA512t Methods showsPrec :: Int -> SHA512t_224 -> ShowS # show :: SHA512t_224 -> String # showList :: [SHA512t_224] -> ShowS #
type HashBlockSize SHA512t_224 # |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_224 = 128
type HashDigestSize SHA512t_224 # |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_224 = 28
type HashInternalContextSize SHA512t_224 # |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_224 = 256

data SHA512t_256 #

SHA512t (256 bits) cryptographic hash algorithm

Constructors

SHA512t_256 |

#### Instances

Instances details

HashAlgorithm SHA512t_256 # |

Instance details

Defined in Crypto.Hash.SHA512t

Associated Types

type HashBlockSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_256 = 128
type HashDigestSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_256 = 32
type HashInternalContextSize SHA512t_256 |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_256 = 256

Methods

hashBlockSize :: SHA512t_256 -> Int #

hashDigestSize :: SHA512t_256 -> Int #

hashInternalContextSize :: SHA512t_256 -> Int #

hashInternalInit :: Ptr (Context SHA512t_256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA512t_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA512t_256) -> Ptr (Digest SHA512t_256) -> IO () #

HashAlgorithmASN1 SHA512t_256 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest SHA512t_256 -> out
Data SHA512t_256 # |

Instance details

Defined in Crypto.Hash.SHA512t

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA512t_256 -> c SHA512t_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA512t_256 #

toConstr :: SHA512t_256 -> Constr #

dataTypeOf :: SHA512t_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA512t_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA512t_256) #

gmapT :: (forall b. Data b => b -> b) -> SHA512t_256 -> SHA512t_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA512t_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA512t_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA512t_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA512t_256 -> m SHA512t_256 #

Show SHA512t_256 # |
Instance details Defined in Crypto.Hash.SHA512t Methods showsPrec :: Int -> SHA512t_256 -> ShowS # show :: SHA512t_256 -> String # showList :: [SHA512t_256] -> ShowS #
type HashBlockSize SHA512t_256 # |
Instance details Defined in Crypto.Hash.SHA512t type HashBlockSize SHA512t_256 = 128
type HashDigestSize SHA512t_256 # |
Instance details Defined in Crypto.Hash.SHA512t type HashDigestSize SHA512t_256 = 32
type HashInternalContextSize SHA512t_256 # |
Instance details Defined in Crypto.Hash.SHA512t type HashInternalContextSize SHA512t_256 = 256

data RIPEMD160 #

RIPEMD160 cryptographic hash algorithm

Constructors

RIPEMD160 |

#### Instances

Instances details

HashAlgorithm RIPEMD160 # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Associated Types

type HashBlockSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashBlockSize RIPEMD160 = 64
type HashDigestSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashDigestSize RIPEMD160 = 20
type HashInternalContextSize RIPEMD160 |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashInternalContextSize RIPEMD160 = 128

Methods

hashBlockSize :: RIPEMD160 -> Int #

hashDigestSize :: RIPEMD160 -> Int #

hashInternalContextSize :: RIPEMD160 -> Int #

hashInternalInit :: Ptr (Context RIPEMD160) -> IO () #

hashInternalUpdate :: Ptr (Context RIPEMD160) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context RIPEMD160) -> Ptr (Digest RIPEMD160) -> IO () #

HashAlgorithmASN1 RIPEMD160 # |
Instance details Defined in Crypto.PubKey.RSA.PKCS15 Methods hashDigestASN1 :: ByteArray out => Digest RIPEMD160 -> out
Data RIPEMD160 # |

Instance details

Defined in Crypto.Hash.RIPEMD160

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> RIPEMD160 -> c RIPEMD160 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c RIPEMD160 #

toConstr :: RIPEMD160 -> Constr #

dataTypeOf :: RIPEMD160 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c RIPEMD160) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c RIPEMD160) #

gmapT :: (forall b. Data b => b -> b) -> RIPEMD160 -> RIPEMD160 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> RIPEMD160 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> RIPEMD160 -> r #

gmapQ :: (forall d. Data d => d -> u) -> RIPEMD160 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> RIPEMD160 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> RIPEMD160 -> m RIPEMD160 #

Show RIPEMD160 # |
Instance details Defined in Crypto.Hash.RIPEMD160 Methods showsPrec :: Int -> RIPEMD160 -> ShowS # show :: RIPEMD160 -> String # showList :: [RIPEMD160] -> ShowS #
type HashBlockSize RIPEMD160 # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashBlockSize RIPEMD160 = 64
type HashDigestSize RIPEMD160 # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashDigestSize RIPEMD160 = 20
type HashInternalContextSize RIPEMD160 # |
Instance details Defined in Crypto.Hash.RIPEMD160 type HashInternalContextSize RIPEMD160 = 128

data Tiger #

Tiger cryptographic hash algorithm

Constructors

Tiger |

#### Instances

Instances details

HashAlgorithm Tiger # |

Instance details

Defined in Crypto.Hash.Tiger

Associated Types

type HashBlockSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashBlockSize Tiger = 64
type HashDigestSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashDigestSize Tiger = 24
type HashInternalContextSize Tiger |
Instance details Defined in Crypto.Hash.Tiger type HashInternalContextSize Tiger = 96

Methods

hashBlockSize :: Tiger -> Int #

hashDigestSize :: Tiger -> Int #

hashInternalContextSize :: Tiger -> Int #

hashInternalInit :: Ptr (Context Tiger) -> IO () #

hashInternalUpdate :: Ptr (Context Tiger) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Tiger) -> Ptr (Digest Tiger) -> IO () #

Data Tiger # |

Instance details

Defined in Crypto.Hash.Tiger

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Tiger -> c Tiger #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Tiger #

toConstr :: Tiger -> Constr #

dataTypeOf :: Tiger -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Tiger) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Tiger) #

gmapT :: (forall b. Data b => b -> b) -> Tiger -> Tiger #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Tiger -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Tiger -> r #

gmapQ :: (forall d. Data d => d -> u) -> Tiger -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Tiger -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Tiger -> m Tiger #

Show Tiger # |
Instance details Defined in Crypto.Hash.Tiger Methods showsPrec :: Int -> Tiger -> ShowS # show :: Tiger -> String # showList :: [Tiger] -> ShowS #
type HashBlockSize Tiger # |
Instance details Defined in Crypto.Hash.Tiger type HashBlockSize Tiger = 64
type HashDigestSize Tiger # |
Instance details Defined in Crypto.Hash.Tiger type HashDigestSize Tiger = 24
type HashInternalContextSize Tiger # |
Instance details Defined in Crypto.Hash.Tiger type HashInternalContextSize Tiger = 96

data Keccak_224 #

Keccak (224 bits) cryptographic hash algorithm

Constructors

Keccak_224 |

#### Instances

Instances details

HashAlgorithm Keccak_224 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_224 = 144
type HashDigestSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_224 = 28
type HashInternalContextSize Keccak_224 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_224 = 352

Methods

hashBlockSize :: Keccak_224 -> Int #

hashDigestSize :: Keccak_224 -> Int #

hashInternalContextSize :: Keccak_224 -> Int #

hashInternalInit :: Ptr (Context Keccak_224) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_224) -> Ptr (Digest Keccak_224) -> IO () #

Data Keccak_224 # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_224 -> c Keccak_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_224 #

toConstr :: Keccak_224 -> Constr #

dataTypeOf :: Keccak_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_224) #

gmapT :: (forall b. Data b => b -> b) -> Keccak_224 -> Keccak_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_224 -> m Keccak_224 #

Show Keccak_224 # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_224 -> ShowS # show :: Keccak_224 -> String # showList :: [Keccak_224] -> ShowS #
type HashBlockSize Keccak_224 # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_224 = 144
type HashDigestSize Keccak_224 # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_224 = 28
type HashInternalContextSize Keccak_224 # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_224 = 352

data Keccak_256 #

Keccak (256 bits) cryptographic hash algorithm

Constructors

Keccak_256 |

#### Instances

Instances details

HashAlgorithm Keccak_256 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_256 = 136
type HashDigestSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_256 = 32
type HashInternalContextSize Keccak_256 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_256 = 344

Methods

hashBlockSize :: Keccak_256 -> Int #

hashDigestSize :: Keccak_256 -> Int #

hashInternalContextSize :: Keccak_256 -> Int #

hashInternalInit :: Ptr (Context Keccak_256) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_256) -> Ptr (Digest Keccak_256) -> IO () #

Data Keccak_256 # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_256 -> c Keccak_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_256 #

toConstr :: Keccak_256 -> Constr #

dataTypeOf :: Keccak_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_256) #

gmapT :: (forall b. Data b => b -> b) -> Keccak_256 -> Keccak_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_256 -> m Keccak_256 #

Show Keccak_256 # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_256 -> ShowS # show :: Keccak_256 -> String # showList :: [Keccak_256] -> ShowS #
type HashBlockSize Keccak_256 # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_256 = 136
type HashDigestSize Keccak_256 # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_256 = 32
type HashInternalContextSize Keccak_256 # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_256 = 344

data Keccak_384 #

Keccak (384 bits) cryptographic hash algorithm

Constructors

Keccak_384 |

#### Instances

Instances details

HashAlgorithm Keccak_384 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_384 = 104
type HashDigestSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_384 = 48
type HashInternalContextSize Keccak_384 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_384 = 312

Methods

hashBlockSize :: Keccak_384 -> Int #

hashDigestSize :: Keccak_384 -> Int #

hashInternalContextSize :: Keccak_384 -> Int #

hashInternalInit :: Ptr (Context Keccak_384) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_384) -> Ptr (Digest Keccak_384) -> IO () #

Data Keccak_384 # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_384 -> c Keccak_384 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_384 #

toConstr :: Keccak_384 -> Constr #

dataTypeOf :: Keccak_384 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_384) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_384) #

gmapT :: (forall b. Data b => b -> b) -> Keccak_384 -> Keccak_384 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_384 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_384 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_384 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_384 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_384 -> m Keccak_384 #

Show Keccak_384 # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_384 -> ShowS # show :: Keccak_384 -> String # showList :: [Keccak_384] -> ShowS #
type HashBlockSize Keccak_384 # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_384 = 104
type HashDigestSize Keccak_384 # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_384 = 48
type HashInternalContextSize Keccak_384 # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_384 = 312

data Keccak_512 #

Keccak (512 bits) cryptographic hash algorithm

Constructors

Keccak_512 |

#### Instances

Instances details

HashAlgorithm Keccak_512 # |

Instance details

Defined in Crypto.Hash.Keccak

Associated Types

type HashBlockSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_512 = 72
type HashDigestSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_512 = 64
type HashInternalContextSize Keccak_512 |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_512 = 280

Methods

hashBlockSize :: Keccak_512 -> Int #

hashDigestSize :: Keccak_512 -> Int #

hashInternalContextSize :: Keccak_512 -> Int #

hashInternalInit :: Ptr (Context Keccak_512) -> IO () #

hashInternalUpdate :: Ptr (Context Keccak_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Keccak_512) -> Ptr (Digest Keccak_512) -> IO () #

Data Keccak_512 # |

Instance details

Defined in Crypto.Hash.Keccak

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Keccak_512 -> c Keccak_512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Keccak_512 #

toConstr :: Keccak_512 -> Constr #

dataTypeOf :: Keccak_512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Keccak_512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Keccak_512) #

gmapT :: (forall b. Data b => b -> b) -> Keccak_512 -> Keccak_512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Keccak_512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Keccak_512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Keccak_512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Keccak_512 -> m Keccak_512 #

Show Keccak_512 # |
Instance details Defined in Crypto.Hash.Keccak Methods showsPrec :: Int -> Keccak_512 -> ShowS # show :: Keccak_512 -> String # showList :: [Keccak_512] -> ShowS #
type HashBlockSize Keccak_512 # |
Instance details Defined in Crypto.Hash.Keccak type HashBlockSize Keccak_512 = 72
type HashDigestSize Keccak_512 # |
Instance details Defined in Crypto.Hash.Keccak type HashDigestSize Keccak_512 = 64
type HashInternalContextSize Keccak_512 # |
Instance details Defined in Crypto.Hash.Keccak type HashInternalContextSize Keccak_512 = 280

data SHA3_224 #

SHA3 (224 bits) cryptographic hash algorithm

Constructors

SHA3_224 |

#### Instances

Instances details

HashAlgorithm SHA3_224 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_224 = 144
type HashDigestSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_224 = 28
type HashInternalContextSize SHA3_224 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_224 = 352

Methods

hashBlockSize :: SHA3_224 -> Int #

hashDigestSize :: SHA3_224 -> Int #

hashInternalContextSize :: SHA3_224 -> Int #

hashInternalInit :: Ptr (Context SHA3_224) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_224) -> Ptr (Digest SHA3_224) -> IO () #

Data SHA3_224 # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_224 -> c SHA3_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_224 #

toConstr :: SHA3_224 -> Constr #

dataTypeOf :: SHA3_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_224) #

gmapT :: (forall b. Data b => b -> b) -> SHA3_224 -> SHA3_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_224 -> m SHA3_224 #

Show SHA3_224 # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_224 -> ShowS # show :: SHA3_224 -> String # showList :: [SHA3_224] -> ShowS #
type HashBlockSize SHA3_224 # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_224 = 144
type HashDigestSize SHA3_224 # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_224 = 28
type HashInternalContextSize SHA3_224 # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_224 = 352

data SHA3_256 #

SHA3 (256 bits) cryptographic hash algorithm

Constructors

SHA3_256 |

#### Instances

Instances details

HashAlgorithm SHA3_256 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_256 = 136
type HashDigestSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_256 = 32
type HashInternalContextSize SHA3_256 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_256 = 344

Methods

hashBlockSize :: SHA3_256 -> Int #

hashDigestSize :: SHA3_256 -> Int #

hashInternalContextSize :: SHA3_256 -> Int #

hashInternalInit :: Ptr (Context SHA3_256) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_256) -> Ptr (Digest SHA3_256) -> IO () #

Data SHA3_256 # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_256 -> c SHA3_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_256 #

toConstr :: SHA3_256 -> Constr #

dataTypeOf :: SHA3_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_256) #

gmapT :: (forall b. Data b => b -> b) -> SHA3_256 -> SHA3_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_256 -> m SHA3_256 #

Show SHA3_256 # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_256 -> ShowS # show :: SHA3_256 -> String # showList :: [SHA3_256] -> ShowS #
type HashBlockSize SHA3_256 # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_256 = 136
type HashDigestSize SHA3_256 # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_256 = 32
type HashInternalContextSize SHA3_256 # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_256 = 344

data SHA3_384 #

SHA3 (384 bits) cryptographic hash algorithm

Constructors

SHA3_384 |

#### Instances

Instances details

HashAlgorithm SHA3_384 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_384 = 104
type HashDigestSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_384 = 48
type HashInternalContextSize SHA3_384 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_384 = 312

Methods

hashBlockSize :: SHA3_384 -> Int #

hashDigestSize :: SHA3_384 -> Int #

hashInternalContextSize :: SHA3_384 -> Int #

hashInternalInit :: Ptr (Context SHA3_384) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_384) -> Ptr (Digest SHA3_384) -> IO () #

Data SHA3_384 # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_384 -> c SHA3_384 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_384 #

toConstr :: SHA3_384 -> Constr #

dataTypeOf :: SHA3_384 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_384) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_384) #

gmapT :: (forall b. Data b => b -> b) -> SHA3_384 -> SHA3_384 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_384 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_384 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_384 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_384 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_384 -> m SHA3_384 #

Show SHA3_384 # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_384 -> ShowS # show :: SHA3_384 -> String # showList :: [SHA3_384] -> ShowS #
type HashBlockSize SHA3_384 # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_384 = 104
type HashDigestSize SHA3_384 # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_384 = 48
type HashInternalContextSize SHA3_384 # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_384 = 312

data SHA3_512 #

SHA3 (512 bits) cryptographic hash algorithm

Constructors

SHA3_512 |

#### Instances

Instances details

HashAlgorithm SHA3_512 # |

Instance details

Defined in Crypto.Hash.SHA3

Associated Types

type HashBlockSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_512 = 72
type HashDigestSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_512 = 64
type HashInternalContextSize SHA3_512 |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_512 = 280

Methods

hashBlockSize :: SHA3_512 -> Int #

hashDigestSize :: SHA3_512 -> Int #

hashInternalContextSize :: SHA3_512 -> Int #

hashInternalInit :: Ptr (Context SHA3_512) -> IO () #

hashInternalUpdate :: Ptr (Context SHA3_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context SHA3_512) -> Ptr (Digest SHA3_512) -> IO () #

Data SHA3_512 # |

Instance details

Defined in Crypto.Hash.SHA3

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHA3_512 -> c SHA3_512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c SHA3_512 #

toConstr :: SHA3_512 -> Constr #

dataTypeOf :: SHA3_512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c SHA3_512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c SHA3_512) #

gmapT :: (forall b. Data b => b -> b) -> SHA3_512 -> SHA3_512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHA3_512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHA3_512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHA3_512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHA3_512 -> m SHA3_512 #

Show SHA3_512 # |
Instance details Defined in Crypto.Hash.SHA3 Methods showsPrec :: Int -> SHA3_512 -> ShowS # show :: SHA3_512 -> String # showList :: [SHA3_512] -> ShowS #
type HashBlockSize SHA3_512 # |
Instance details Defined in Crypto.Hash.SHA3 type HashBlockSize SHA3_512 = 72
type HashDigestSize SHA3_512 # |
Instance details Defined in Crypto.Hash.SHA3 type HashDigestSize SHA3_512 = 64
type HashInternalContextSize SHA3_512 # |
Instance details Defined in Crypto.Hash.SHA3 type HashInternalContextSize SHA3_512 = 280

data SHAKE128 (bitlen :: Nat) #

SHAKE128 (128 bits) extendable output function. Supports an arbitrary digest size, to be specified as a type parameter of kind `Nat`.

Note: outputs from ``SHAKE128` n` and ``SHAKE128` m` for the same input are correlated (one being a prefix of the other). Results are unrelated to `SHAKE256` results.

Constructors

SHAKE128 |

#### Instances

Instances details

KnownNat bitlen => HashSHAKE (SHAKE128 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE Methods cshakeInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () cshakeOutputLength :: SHAKE128 bitlen -> Int
KnownNat bitlen => HashAlgorithm (SHAKE128 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE128 bitlen) = 168
type HashDigestSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE128 bitlen)
type HashInternalContextSize (SHAKE128 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE128 bitlen) = 376

Methods

hashBlockSize :: SHAKE128 bitlen -> Int #

hashDigestSize :: SHAKE128 bitlen -> Int #

hashInternalContextSize :: SHAKE128 bitlen -> Int #

hashInternalInit :: Ptr (Context (SHAKE128 bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (SHAKE128 bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (SHAKE128 bitlen)) -> Ptr (Digest (SHAKE128 bitlen)) -> IO () #

KnownNat bitlen => Data (SHAKE128 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHAKE128 bitlen -> c (SHAKE128 bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (SHAKE128 bitlen) #

toConstr :: SHAKE128 bitlen -> Constr #

dataTypeOf :: SHAKE128 bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (SHAKE128 bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (SHAKE128 bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> SHAKE128 bitlen -> SHAKE128 bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE128 bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE128 bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHAKE128 bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHAKE128 bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE128 bitlen -> m (SHAKE128 bitlen) #

Show (SHAKE128 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE Methods showsPrec :: Int -> SHAKE128 bitlen -> ShowS # show :: SHAKE128 bitlen -> String # showList :: [SHAKE128 bitlen] -> ShowS #
type HashBlockSize (SHAKE128 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE128 bitlen) = 168
type HashDigestSize (SHAKE128 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE128 bitlen)
type HashInternalContextSize (SHAKE128 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE128 bitlen) = 376

data SHAKE256 (bitlen :: Nat) #

SHAKE256 (256 bits) extendable output function. Supports an arbitrary digest size, to be specified as a type parameter of kind `Nat`.

Note: outputs from ``SHAKE256` n` and ``SHAKE256` m` for the same input are correlated (one being a prefix of the other). Results are unrelated to `SHAKE128` results.

Constructors

SHAKE256 |

#### Instances

Instances details

KnownNat bitlen => HashSHAKE (SHAKE256 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE Methods cshakeInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () cshakeOutputLength :: SHAKE256 bitlen -> Int
KnownNat bitlen => HashAlgorithm (SHAKE256 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Associated Types

type HashBlockSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE256 bitlen) = 136
type HashDigestSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE256 bitlen)
type HashInternalContextSize (SHAKE256 bitlen) |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE256 bitlen) = 344

Methods

hashBlockSize :: SHAKE256 bitlen -> Int #

hashDigestSize :: SHAKE256 bitlen -> Int #

hashInternalContextSize :: SHAKE256 bitlen -> Int #

hashInternalInit :: Ptr (Context (SHAKE256 bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (SHAKE256 bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (SHAKE256 bitlen)) -> Ptr (Digest (SHAKE256 bitlen)) -> IO () #

KnownNat bitlen => Data (SHAKE256 bitlen) # |

Instance details

Defined in Crypto.Hash.SHAKE

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> SHAKE256 bitlen -> c (SHAKE256 bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (SHAKE256 bitlen) #

toConstr :: SHAKE256 bitlen -> Constr #

dataTypeOf :: SHAKE256 bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (SHAKE256 bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (SHAKE256 bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> SHAKE256 bitlen -> SHAKE256 bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE256 bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> SHAKE256 bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> SHAKE256 bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> SHAKE256 bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> SHAKE256 bitlen -> m (SHAKE256 bitlen) #

Show (SHAKE256 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE Methods showsPrec :: Int -> SHAKE256 bitlen -> ShowS # show :: SHAKE256 bitlen -> String # showList :: [SHAKE256 bitlen] -> ShowS #
type HashBlockSize (SHAKE256 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashBlockSize (SHAKE256 bitlen) = 136
type HashDigestSize (SHAKE256 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashDigestSize (SHAKE256 bitlen)
type HashInternalContextSize (SHAKE256 bitlen) # |
Instance details Defined in Crypto.Hash.SHAKE type HashInternalContextSize (SHAKE256 bitlen) = 344

data Blake2b (bitlen :: Nat) #

Fast cryptographic hash.

It is especially known to target 64bits architectures.

Known supported digest sizes:

- Blake2b 160
- Blake2b 224
- Blake2b 256
- Blake2b 384
- Blake2b 512

Constructors

Blake2b |

#### Instances

Instances details

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashBlake2 (Blake2b bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2b bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2b bitlen) = 128
type HashDigestSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2b bitlen)
type HashInternalContextSize (Blake2b bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2b bitlen) = 248

Methods

hashBlockSize :: Blake2b bitlen -> Int #

hashDigestSize :: Blake2b bitlen -> Int #

hashInternalContextSize :: Blake2b bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2b bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2b bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2b bitlen)) -> Ptr (Digest (Blake2b bitlen)) -> IO () #

KnownNat bitlen => Data (Blake2b bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2b bitlen -> c (Blake2b bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2b bitlen) #

toConstr :: Blake2b bitlen -> Constr #

dataTypeOf :: Blake2b bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2b bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2b bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> Blake2b bitlen -> Blake2b bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2b bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2b bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2b bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2b bitlen -> m (Blake2b bitlen) #

Show (Blake2b bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2b bitlen -> ShowS # show :: Blake2b bitlen -> String # showList :: [Blake2b bitlen] -> ShowS #
type HashBlockSize (Blake2b bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2b bitlen) = 128
type HashDigestSize (Blake2b bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2b bitlen)
type HashInternalContextSize (Blake2b bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2b bitlen) = 248

data Blake2bp (bitlen :: Nat) #

Constructors

Blake2bp |

#### Instances

Instances details

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashBlake2 (Blake2bp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 512) => HashAlgorithm (Blake2bp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2bp bitlen) = 128
type HashDigestSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2bp bitlen)
type HashInternalContextSize (Blake2bp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2bp bitlen) = 2325

Methods

hashBlockSize :: Blake2bp bitlen -> Int #

hashDigestSize :: Blake2bp bitlen -> Int #

hashInternalContextSize :: Blake2bp bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2bp bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2bp bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2bp bitlen)) -> Ptr (Digest (Blake2bp bitlen)) -> IO () #

KnownNat bitlen => Data (Blake2bp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2bp bitlen -> c (Blake2bp bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2bp bitlen) #

toConstr :: Blake2bp bitlen -> Constr #

dataTypeOf :: Blake2bp bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2bp bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2bp bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> Blake2bp bitlen -> Blake2bp bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2bp bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2bp bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2bp bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2bp bitlen -> m (Blake2bp bitlen) #

Show (Blake2bp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2bp bitlen -> ShowS # show :: Blake2bp bitlen -> String # showList :: [Blake2bp bitlen] -> ShowS #
type HashBlockSize (Blake2bp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2bp bitlen) = 128
type HashDigestSize (Blake2bp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2bp bitlen)
type HashInternalContextSize (Blake2bp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2bp bitlen) = 2325

data Blake2s (bitlen :: Nat) #

Fast and secure alternative to SHA1 and HMAC-SHA1

It is espacially known to target 32bits architectures.

Known supported digest sizes:

- Blake2s 160
- Blake2s 224
- Blake2s 256

Constructors

Blake2s |

#### Instances

Instances details

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashBlake2 (Blake2s bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2s bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2s bitlen) = 64
type HashDigestSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2s bitlen)
type HashInternalContextSize (Blake2s bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2s bitlen) = 136

Methods

hashBlockSize :: Blake2s bitlen -> Int #

hashDigestSize :: Blake2s bitlen -> Int #

hashInternalContextSize :: Blake2s bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2s bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2s bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2s bitlen)) -> Ptr (Digest (Blake2s bitlen)) -> IO () #

KnownNat bitlen => Data (Blake2s bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2s bitlen -> c (Blake2s bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2s bitlen) #

toConstr :: Blake2s bitlen -> Constr #

dataTypeOf :: Blake2s bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2s bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2s bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> Blake2s bitlen -> Blake2s bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2s bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2s bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2s bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2s bitlen -> m (Blake2s bitlen) #

Show (Blake2s bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2s bitlen -> ShowS # show :: Blake2s bitlen -> String # showList :: [Blake2s bitlen] -> ShowS #
type HashBlockSize (Blake2s bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2s bitlen) = 64
type HashDigestSize (Blake2s bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2s bitlen)
type HashInternalContextSize (Blake2s bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2s bitlen) = 136

data Blake2sp (bitlen :: Nat) #

Constructors

Blake2sp |

#### Instances

Instances details

(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashBlake2 (Blake2sp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods blake2InternalKeyedInit :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO ()
(IsDivisibleBy8 bitlen, KnownNat bitlen, IsAtLeast bitlen 8, IsAtMost bitlen 256) => HashAlgorithm (Blake2sp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Associated Types

type HashBlockSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2sp bitlen) = 64
type HashDigestSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2sp bitlen)
type HashInternalContextSize (Blake2sp bitlen) |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2sp bitlen) = 2185

Methods

hashBlockSize :: Blake2sp bitlen -> Int #

hashDigestSize :: Blake2sp bitlen -> Int #

hashInternalContextSize :: Blake2sp bitlen -> Int #

hashInternalInit :: Ptr (Context (Blake2sp bitlen)) -> IO () #

hashInternalUpdate :: Ptr (Context (Blake2sp bitlen)) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context (Blake2sp bitlen)) -> Ptr (Digest (Blake2sp bitlen)) -> IO () #

KnownNat bitlen => Data (Blake2sp bitlen) # |

Instance details

Defined in Crypto.Hash.Blake2

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Blake2sp bitlen -> c (Blake2sp bitlen) #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (Blake2sp bitlen) #

toConstr :: Blake2sp bitlen -> Constr #

dataTypeOf :: Blake2sp bitlen -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (Blake2sp bitlen)) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (Blake2sp bitlen)) #

gmapT :: (forall b. Data b => b -> b) -> Blake2sp bitlen -> Blake2sp bitlen #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp bitlen -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Blake2sp bitlen -> r #

gmapQ :: (forall d. Data d => d -> u) -> Blake2sp bitlen -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Blake2sp bitlen -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Blake2sp bitlen -> m (Blake2sp bitlen) #

Show (Blake2sp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 Methods showsPrec :: Int -> Blake2sp bitlen -> ShowS # show :: Blake2sp bitlen -> String # showList :: [Blake2sp bitlen] -> ShowS #
type HashBlockSize (Blake2sp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashBlockSize (Blake2sp bitlen) = 64
type HashDigestSize (Blake2sp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashDigestSize (Blake2sp bitlen)
type HashInternalContextSize (Blake2sp bitlen) # |
Instance details Defined in Crypto.Hash.Blake2 type HashInternalContextSize (Blake2sp bitlen) = 2185

data Skein256_224 #

Skein256 (224 bits) cryptographic hash algorithm

Constructors

Skein256_224 |

#### Instances

Instances details

HashAlgorithm Skein256_224 # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_224 = 32
type HashDigestSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_224 = 28
type HashInternalContextSize Skein256_224 |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_224 = 96

Methods

hashBlockSize :: Skein256_224 -> Int #

hashDigestSize :: Skein256_224 -> Int #

hashInternalContextSize :: Skein256_224 -> Int #

hashInternalInit :: Ptr (Context Skein256_224) -> IO () #

hashInternalUpdate :: Ptr (Context Skein256_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein256_224) -> Ptr (Digest Skein256_224) -> IO () #

Data Skein256_224 # |

Instance details

Defined in Crypto.Hash.Skein256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein256_224 -> c Skein256_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein256_224 #

toConstr :: Skein256_224 -> Constr #

dataTypeOf :: Skein256_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein256_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein256_224) #

gmapT :: (forall b. Data b => b -> b) -> Skein256_224 -> Skein256_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein256_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein256_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_224 -> m Skein256_224 #

Show Skein256_224 # |
Instance details Defined in Crypto.Hash.Skein256 Methods showsPrec :: Int -> Skein256_224 -> ShowS # show :: Skein256_224 -> String # showList :: [Skein256_224] -> ShowS #
type HashBlockSize Skein256_224 # |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_224 = 32
type HashDigestSize Skein256_224 # |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_224 = 28
type HashInternalContextSize Skein256_224 # |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_224 = 96

data Skein256_256 #

Skein256 (256 bits) cryptographic hash algorithm

Constructors

Skein256_256 |

#### Instances

Instances details

HashAlgorithm Skein256_256 # |

Instance details

Defined in Crypto.Hash.Skein256

Associated Types

type HashBlockSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_256 = 32
type HashDigestSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_256 = 32
type HashInternalContextSize Skein256_256 |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_256 = 96

Methods

hashBlockSize :: Skein256_256 -> Int #

hashDigestSize :: Skein256_256 -> Int #

hashInternalContextSize :: Skein256_256 -> Int #

hashInternalInit :: Ptr (Context Skein256_256) -> IO () #

hashInternalUpdate :: Ptr (Context Skein256_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein256_256) -> Ptr (Digest Skein256_256) -> IO () #

Data Skein256_256 # |

Instance details

Defined in Crypto.Hash.Skein256

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein256_256 -> c Skein256_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein256_256 #

toConstr :: Skein256_256 -> Constr #

dataTypeOf :: Skein256_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein256_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein256_256) #

gmapT :: (forall b. Data b => b -> b) -> Skein256_256 -> Skein256_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein256_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein256_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein256_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein256_256 -> m Skein256_256 #

Show Skein256_256 # |
Instance details Defined in Crypto.Hash.Skein256 Methods showsPrec :: Int -> Skein256_256 -> ShowS # show :: Skein256_256 -> String # showList :: [Skein256_256] -> ShowS #
type HashBlockSize Skein256_256 # |
Instance details Defined in Crypto.Hash.Skein256 type HashBlockSize Skein256_256 = 32
type HashDigestSize Skein256_256 # |
Instance details Defined in Crypto.Hash.Skein256 type HashDigestSize Skein256_256 = 32
type HashInternalContextSize Skein256_256 # |
Instance details Defined in Crypto.Hash.Skein256 type HashInternalContextSize Skein256_256 = 96

data Skein512_224 #

Skein512 (224 bits) cryptographic hash algorithm

Constructors

Skein512_224 |

#### Instances

Instances details

HashAlgorithm Skein512_224 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_224 = 64
type HashDigestSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_224 = 28
type HashInternalContextSize Skein512_224 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_224 = 160

Methods

hashBlockSize :: Skein512_224 -> Int #

hashDigestSize :: Skein512_224 -> Int #

hashInternalContextSize :: Skein512_224 -> Int #

hashInternalInit :: Ptr (Context Skein512_224) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_224) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_224) -> Ptr (Digest Skein512_224) -> IO () #

Data Skein512_224 # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_224 -> c Skein512_224 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_224 #

toConstr :: Skein512_224 -> Constr #

dataTypeOf :: Skein512_224 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_224) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_224) #

gmapT :: (forall b. Data b => b -> b) -> Skein512_224 -> Skein512_224 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_224 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_224 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_224 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_224 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_224 -> m Skein512_224 #

Show Skein512_224 # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_224 -> ShowS # show :: Skein512_224 -> String # showList :: [Skein512_224] -> ShowS #
type HashBlockSize Skein512_224 # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_224 = 64
type HashDigestSize Skein512_224 # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_224 = 28
type HashInternalContextSize Skein512_224 # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_224 = 160

data Skein512_256 #

Skein512 (256 bits) cryptographic hash algorithm

Constructors

Skein512_256 |

#### Instances

Instances details

HashAlgorithm Skein512_256 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_256 = 64
type HashDigestSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_256 = 32
type HashInternalContextSize Skein512_256 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_256 = 160

Methods

hashBlockSize :: Skein512_256 -> Int #

hashDigestSize :: Skein512_256 -> Int #

hashInternalContextSize :: Skein512_256 -> Int #

hashInternalInit :: Ptr (Context Skein512_256) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_256) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_256) -> Ptr (Digest Skein512_256) -> IO () #

Data Skein512_256 # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_256 -> c Skein512_256 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_256 #

toConstr :: Skein512_256 -> Constr #

dataTypeOf :: Skein512_256 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_256) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_256) #

gmapT :: (forall b. Data b => b -> b) -> Skein512_256 -> Skein512_256 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_256 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_256 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_256 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_256 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_256 -> m Skein512_256 #

Show Skein512_256 # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_256 -> ShowS # show :: Skein512_256 -> String # showList :: [Skein512_256] -> ShowS #
type HashBlockSize Skein512_256 # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_256 = 64
type HashDigestSize Skein512_256 # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_256 = 32
type HashInternalContextSize Skein512_256 # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_256 = 160

data Skein512_384 #

Skein512 (384 bits) cryptographic hash algorithm

Constructors

Skein512_384 |

#### Instances

Instances details

HashAlgorithm Skein512_384 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_384 = 64
type HashDigestSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_384 = 48
type HashInternalContextSize Skein512_384 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_384 = 160

Methods

hashBlockSize :: Skein512_384 -> Int #

hashDigestSize :: Skein512_384 -> Int #

hashInternalContextSize :: Skein512_384 -> Int #

hashInternalInit :: Ptr (Context Skein512_384) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_384) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_384) -> Ptr (Digest Skein512_384) -> IO () #

Data Skein512_384 # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_384 -> c Skein512_384 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_384 #

toConstr :: Skein512_384 -> Constr #

dataTypeOf :: Skein512_384 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_384) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_384) #

gmapT :: (forall b. Data b => b -> b) -> Skein512_384 -> Skein512_384 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_384 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_384 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_384 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_384 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_384 -> m Skein512_384 #

Show Skein512_384 # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_384 -> ShowS # show :: Skein512_384 -> String # showList :: [Skein512_384] -> ShowS #
type HashBlockSize Skein512_384 # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_384 = 64
type HashDigestSize Skein512_384 # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_384 = 48
type HashInternalContextSize Skein512_384 # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_384 = 160

data Skein512_512 #

Skein512 (512 bits) cryptographic hash algorithm

Constructors

Skein512_512 |

#### Instances

Instances details

HashAlgorithm Skein512_512 # |

Instance details

Defined in Crypto.Hash.Skein512

Associated Types

type HashBlockSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_512 = 64
type HashDigestSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_512 = 64
type HashInternalContextSize Skein512_512 |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_512 = 160

Methods

hashBlockSize :: Skein512_512 -> Int #

hashDigestSize :: Skein512_512 -> Int #

hashInternalContextSize :: Skein512_512 -> Int #

hashInternalInit :: Ptr (Context Skein512_512) -> IO () #

hashInternalUpdate :: Ptr (Context Skein512_512) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Skein512_512) -> Ptr (Digest Skein512_512) -> IO () #

Data Skein512_512 # |

Instance details

Defined in Crypto.Hash.Skein512

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Skein512_512 -> c Skein512_512 #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Skein512_512 #

toConstr :: Skein512_512 -> Constr #

dataTypeOf :: Skein512_512 -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Skein512_512) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Skein512_512) #

gmapT :: (forall b. Data b => b -> b) -> Skein512_512 -> Skein512_512 #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_512 -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Skein512_512 -> r #

gmapQ :: (forall d. Data d => d -> u) -> Skein512_512 -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Skein512_512 -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Skein512_512 -> m Skein512_512 #

Show Skein512_512 # |
Instance details Defined in Crypto.Hash.Skein512 Methods showsPrec :: Int -> Skein512_512 -> ShowS # show :: Skein512_512 -> String # showList :: [Skein512_512] -> ShowS #
type HashBlockSize Skein512_512 # |
Instance details Defined in Crypto.Hash.Skein512 type HashBlockSize Skein512_512 = 64
type HashDigestSize Skein512_512 # |
Instance details Defined in Crypto.Hash.Skein512 type HashDigestSize Skein512_512 = 64
type HashInternalContextSize Skein512_512 # |
Instance details Defined in Crypto.Hash.Skein512 type HashInternalContextSize Skein512_512 = 160

data Whirlpool #

Whirlpool cryptographic hash algorithm

Constructors

Whirlpool |

#### Instances

Instances details

HashAlgorithm Whirlpool # |

Instance details

Defined in Crypto.Hash.Whirlpool

Associated Types

type HashBlockSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashBlockSize Whirlpool = 64
type HashDigestSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashDigestSize Whirlpool = 64
type HashInternalContextSize Whirlpool |
Instance details Defined in Crypto.Hash.Whirlpool type HashInternalContextSize Whirlpool = 168

Methods

hashBlockSize :: Whirlpool -> Int #

hashDigestSize :: Whirlpool -> Int #

hashInternalContextSize :: Whirlpool -> Int #

hashInternalInit :: Ptr (Context Whirlpool) -> IO () #

hashInternalUpdate :: Ptr (Context Whirlpool) -> Ptr Word8 -> Word32 -> IO () #

hashInternalFinalize :: Ptr (Context Whirlpool) -> Ptr (Digest Whirlpool) -> IO () #

Data Whirlpool # |

Instance details

Defined in Crypto.Hash.Whirlpool

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Whirlpool -> c Whirlpool #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Whirlpool #

toConstr :: Whirlpool -> Constr #

dataTypeOf :: Whirlpool -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Whirlpool) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Whirlpool) #

gmapT :: (forall b. Data b => b -> b) -> Whirlpool -> Whirlpool #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Whirlpool -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Whirlpool -> r #

gmapQ :: (forall d. Data d => d -> u) -> Whirlpool -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Whirlpool -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Whirlpool -> m Whirlpool #

Show Whirlpool # |
Instance details Defined in Crypto.Hash.Whirlpool Methods showsPrec :: Int -> Whirlpool -> ShowS # show :: Whirlpool -> String # showList :: [Whirlpool] -> ShowS #
type HashBlockSize Whirlpool # |
Instance details Defined in Crypto.Hash.Whirlpool type HashBlockSize Whirlpool = 64
type HashDigestSize Whirlpool # |
Instance details Defined in Crypto.Hash.Whirlpool type HashDigestSize Whirlpool = 64
type HashInternalContextSize Whirlpool # |
Instance details Defined in Crypto.Hash.Whirlpool type HashInternalContextSize Whirlpool = 168